# $Revision: 1.6 $, $Date: 2011/11/26 17:27:09 $
Summary:	Tool to handle rpmnew and rpmsave files
Summary(pl.UTF-8):	Narzędzie do obsługi plików rpmnew oraz rpmsave
Name:		rpmconf
Version:	0.3.3
Release:	2
License:	GPL v3+
Group:		Applications
Source0:	http://github.com/downloads/xsuchy/rpmconf/%{name}-%{version}.tar.gz
# Source0-md5:	e11cb57af45b028cf5ff8125360f19d3
URL:		http://wiki.github.com/xsuchy/rpmconf/
BuildRequires:	docbook-dtd31-sgml
BuildRequires:	docbook-utils
Requires:	which
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tool to handle rpmnew and rpmsave files.

What it does:
- run "rpmconf --help" and you will see :)
- it search all config file of all installed packages and check if
  file with .rpmsave or .rpmnew exists
- it allows you to see diff of this file against current file
- it allows you to keep current version or the other one (rpmsave or
  rpmnew one)
- it deletes .rpmsave and .rpmnew files which are identical to current
  file
- after your choice it deletes the unwanted file

%description -l pl.UTF-8
Narzędzie do obsługi plików rpmnew oraz rpmsave.

Co to robi:
- uruchom "rpmconf --help" i sam zobaczysz :)
- wyszukuje wszytskie pliki konfiguracyjne wszystkich zainstalowanych
  paczek i sprawdza czy istnieje plik z rozszerzeniem .rpmsave lub
  .rpmnew
- umożliwia wyświetlenie różnic między tym plikiem a plikiem aktualnie
  używanym
- umożliwia pozostawienie aktualnie używanego pliku lub zamianę go na
  inny (rpmsave lub rpmnew)
- usuwa te pliki .rpmsave i .rpmnew, które są identyczne z aktualnie
  używanym plikiem
- po dokonaniu przez użytkownika wyboru usuwa niechciane pliki

%prep
%setup -q

%build
docbook2man rpmconf.sgml

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8}
install -p rpmconf $RPM_BUILD_ROOT%{_bindir}
cp -p rpmconf.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc TODO
%attr(755,root,root) %{_bindir}/rpmconf
%{_mandir}/man8/rpmconf.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rpmconf.spec,v $
Revision 1.6  2011/11/26 17:27:09  glen
- release 2

Revision 1.5  2011/11/23 11:48:40  glen
- generate man

Revision 1.4  2011/11/23 11:45:27  glen
- 0.3.3, use US-ASCII for commandline opts

Revision 1.3  2010/02/23 15:20:51  glen
- R: wihch

Revision 1.2  2010/02/23 15:19:57  glen
- keep english description in US-ASCII

Revision 1.1  2010/02/23 15:02:34  lisu
- new
